| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
LPC17xx/40xx LWIP TCP Echo with FreeRTOS
LWIP examples

## Detailed Description

Example description
Welcome to the LWIP TCP Echo example using the NET API for RTOS based operation. This example shows how to use the NET API with the LWIP contrib TCP Echo (threaded) example using the 17xx/40xx LWIP MAC and PHY drivers. The example shows how to handle PHY link monitoring and indicate to LWIP that a ethernet cable is plugged in.

To use the example, Simply connect an ethernet cable to the board. The board will acquire an IP address via DHCP and you can ping the board at it's IP address. You can monitor network traffic to the board using a tool such as wireshark at the boards MAC address.

Special connection requirements

- Embedded Artists' LPC1788 Developer's Kit:
- Embedded Artists' LPC4088 Developer's Kit:
  There are no special connection requirements for this example.
- LPCXpresso LPC1769:
  Need to connect with base board for using RS232/UART port and Ethernet port.

Build procedures:
LPC17xx/40xx example quickstart for Keil uVision4
LPC17xx/40xx example quickstart for IAR EWARM
LPC17xx/40xx example quickstart for Code Red Xpresso

Supported boards and board setup:
Embedded Artists' LPC1788 Developer's Kit
Embedded Artists' LPC4088 Developer's Kit
NXP Xpresso LPC1769 board

Submitting LPCOpen issues:
Community support for LPCOpen

## Functions
static void | prvSetupHardware (void)
static void | tcpip_init_done_signal (void *arg)
static | portTASK_FUNCTION (vSetupIFTask, pvParameters)
void | msDelay (uint32_t ms)
| MilliSecond delay function based on FreeRTOS.
int | main (void)
| main routine for example_lwip_tcpecho_freertos_17xx40xx

## Variables
static struct netif | lpc_netif

## Function Documentation

int main | ( | void |  | ) |

main routine for example_lwip_tcpecho_freertos_17xx40xx

Main program body.

Returns
  Function should not exit

Definition at line 249 of file lwip_tcpecho_freertos.c.

void msDelay | ( | uint32_t | ms | ) |

MilliSecond delay function based on FreeRTOS.

Delay for the specified number of milliSeconds.

Millisecond Delay function.

Delay function.

Parameters

  ms | : Number of milliSeconds to delay

Returns
  Nothing Needed for some functions, do not use prior to FreeRTOS running

Definition at line 240 of file lwip_tcpecho_freertos.c.

static portTASK_FUNCTION | ( | vSetupIFTask | ,
|  | pvParameters |
| ) |  |
| static

Definition at line 127 of file lwip_tcpecho_freertos.c.

static void prvSetupHardware | ( | void |  | ) |
| static

Definition at line 110 of file lwip_tcpecho_freertos.c.

static void tcpip_init_done_signal | ( | void * | arg | ) |
| static

Definition at line 120 of file lwip_tcpecho_freertos.c.

## Variable Documentation

struct netif lpc_netif
| static

Definition at line 99 of file lwip_tcpecho_freertos.c.